Subject: RE: Bug in chere
From: Larry Hall <[email-masked]>
To: Dave <[email-masked]>, [email-masked]
Cc: Nils Jeppe <[email-masked]>
Date: Wed, 15 Jun 2005 15:28:07 -0400

At 02:41 PM 6/15/2005, you wrote:
>--- Nils Jeppe wrote:
>> On Tue, 14 Jun 2005, Dave wrote:
>> > If I understand what you mean, then I don't think it's possible. However, if
>> you
>> > can find either:
>> > a) the appropriate registry key to modify
> <snip>
>> the way to do this is via 
>> \HKEY_CLASSES_ROOT\Directory\Background\shellex\ContextMenuHandlers, but I 
>> admit happily to being clueless about the windows registry :D
>
>So it can be done using shell extensions. These require a bit of COM
>programming, producing a .dll that needs to be registered.
>
>There are a number of issues:
>1. This will only work on shell v4.71 and later apparently - but I don't know
>how that ties into versions of Windows.

I believe this correlates to IE rather than Windows.  If I remember 
correctly, IE v4 or greater is necessary.  We already make assumptions
in some places that at least IE v5 is installed so I don't think adding
more code with a similar assumption is a problem.

>My MS compiler is a little stale (~v4), so:
>2. Are necessary COM headers/templates are available for gcc?

I remember talk of this ages ago but I don't remember details.  Should be
possible for C code.  You'd have to google for more info. ;-)

>3. And whether gcc would produce a compatible binary?

As long as they are "C" callable.  It's probably also preferable to use the
-mno-cygwin switch in this case as well.

>Finally,
>4. Is the extra context menu item worth the effort?

Ah, now that's the *real* question! ;-)  It would be "cool" and "useful"
but I expect there isn't an objective way to measure whether it is worth the
effort.

--
Larry Hall                              http://www.rfk.com
RFK Partners, Inc.                      (508) 893-9779 - RFK Office
838 Washington Street                   (508) 893-9889 - FAX
Holliston, MA 01746                     

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/